Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class TasksPreferences.TaskFiltering

    java.lang.Object
      portlets.compoze.groupware.pref.TasksPreferences.TaskFiltering

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TasksPreferences

public static class TasksPreferences.TaskFiltering
extends java.lang.Object
implements java.io.Serializable

This class represents the task filtering.

See Also:
  Serialized Form

Field Summary
`static int` | `RULE_FILTER_ALL` This value represents filter by nothing (show all) tasks.
`static int` | `RULE_FILTER_COMPLETED` This value represents filter by completed tasks.
`static int` | `RULE_FILTER_NOT_COMPLETED` This value represents filter by not completed tasks.
`static int` | `RULE_FILTER_OVERDUE` This value represents filter by overdue tasks.

Constructor Summary
`TasksPreferences.TaskFiltering()` Constructor.
`TasksPreferences.TaskFiltering(int iFilteringRule)` Constructor.

Method Summary
`int` | `getFilteringRule()` Gets the filtering rule.
`void` | `setFilteringRule(int iFilteringRule)` Sets the filtering rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_FILTER_ALL

    public static final int RULE_FILTER_ALL

  This value represents filter by nothing (show all) tasks.

  See Also:
    Constant Field Values

### RULE_FILTER_NOT_COMPLETED

    public static final int RULE_FILTER_NOT_COMPLETED

  This value represents filter by not completed tasks.

  See Also:
    Constant Field Values

### RULE_FILTER_COMPLETED

    public static final int RULE_FILTER_COMPLETED

  This value represents filter by completed tasks.

  See Also:
    Constant Field Values

### RULE_FILTER_OVERDUE

    public static final int RULE_FILTER_OVERDUE

  This value represents filter by overdue tasks.

  See Also:
    Constant Field Values

Constructor Detail

### TasksPreferences.TaskFiltering

    public TasksPreferences.TaskFiltering(int iFilteringRule)

  Constructor.

Parameters:
  `iFilteringRule` - the filtering rule (see `RULE_` constants)

### TasksPreferences.TaskFiltering

    public TasksPreferences.TaskFiltering()

  Constructor.

Method Detail

### getFilteringRule

    public int getFilteringRule()

  Gets the filtering rule.

  Returns:
    the filtering rule (see `RULE_` constants)

### setFilteringRule

    public void setFilteringRule(int iFilteringRule)

  Sets the filtering rule.

  Parameters:
    `iFilteringRule` - the filtering rule (see `RULE_` constants)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.